org.apache.cassandra.streaming

## Class ReplicationFinishedVerbHandler

- java.lang.Object
- - org.apache.cassandra.streaming.ReplicationFinishedVerbHandler

- All Implemented Interfaces:
    IVerbHandler

      public class ReplicationFinishedVerbHandler
      extends java.lang.Object
      implements IVerbHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationFinishedVerbHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doVerb(MessageIn msg, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicationFinishedVerbHandler

          public ReplicationFinishedVerbHandler()

  - ### Method Detail

    - #### doVerb

          public void doVerb(MessageIn msg,
                             int id)

      Description copied from interface: `IVerbHandler`
      This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.
      Specified by:
        `doVerb` in interface `IVerbHandler`
      Parameters:
        `msg` - - incoming message that needs handling.

Copyright © 2018 The Apache Software Foundation